﻿@using Microsoft.AspNet.Identity
@using System.Threading;
<!-- BEGIN TOP NAVIGATION MENU -->
<div class="top-menu">
    <ul class="nav navbar-nav pull-right">
        <li class="separator hide">
        </li>
        <!-- BEGIN LANGUAGE -->
        <li class="dropdown dropdown-language">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">
                <img alt="" src="~/Content/themes/m1/assets/global/img/flags/@(Thread.CurrentThread.CurrentCulture.TwoLetterISOLanguageName).png">
                <span class="langname">@(Thread.CurrentThread.CurrentCulture)</span>
                <i class="fa fa-angle-down"></i>
            </a>
            <ul class="dropdown-menu dropdown-menu-default">
                <li>
                    <a href="@Url.Action("changelang", "home", new { lang = "it" })">
                        <img alt="" src="~/Content/themes/m1/assets/global/img/flags/it.png">
                        Italiano
                    </a>
                </li>
                <li>
                    <a href="@Url.Action("changelang", "home", new { lang = "en" })">
                        <img alt="" src="~/Content/themes/m1/assets/global/img/flags/gb.png">
                        English
                    </a>
                </li>
            </ul>
        </li>
        <!-- END -->
        @*<li class="separator hide">
        </li>*@
        <!-- END INBOX DROPDOWN -->
        <li class="separator hide">
        </li>
        <!-- BEGIN USER LOGIN DROPDOWN -->
        @if (Request.IsAuthenticated)
        {           
                <li class="dropdown dropdown-user dropdown-dark">
                <a href="javascript:;" class="dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">
                    <span class="username username-hide-on-mobile">
                        @User.Identity.GetUserName()
                    </span>
                    @*<img alt="" class="img-circle" src="http://res.cloudinary.com/shareyourmountain/image/upload/g_face,c_fill,w_40,h_40/@(Model.profile_image).jpg" />*@
                    <img class="img-circle" src="~/Content/themes/m1/assets/layouts/layout4/img/no-avatar.jpg">
                </a>
                <ul class="dropdown-menu dropdown-menu-default">
                    <li>
                        <a href="@Url.Action("index", "profile")">
                            <i class="icon-user"></i> @SYM.Localization.Resources.Global.Topbar_Profile
                        </a>
                    </li>
                    <li>
                        <a href="@Url.Action("adventureList", "profile")">
                            <i class="icon-badge"></i> @SYM.Localization.Resources.Global.Topbar_MyAdventure
                        </a>
                    <li />               
                    <li>
                        <a href="@Url.Action("gallery", "profile")">
                            <i class="icon-users"></i> Gallery <span class="badge badge-info badge-roundless"> New </span>
                        </a>
                    <li />
                    <li>
                        <a href="@Url.Action("index", "community")">
                            <i class="icon-users"></i> Community
                        </a>
                    <li />
                    <li class="divider">
                    </li>
                    <li>                 
                        <a href="javascript:document.getElementById('logoutForm').submit()">
                            <i class="icon-key"></i> Log Out
                        </a>
                    </li>
                    @using (Html.BeginForm("logoff", "account", FormMethod.Post, new { id = "logoutForm" }))
                    {
                        @Html.AntiForgeryToken()
                    }
                </ul>
            </li>
        <!-- END USER LOGIN DROPDOWN -->
        <!-- BEGIN USER LOGIN DROPDOWN -->       
        }
        else
        {
            <li class="dropdown dropdown-separator">
                <span class="separator"></span>
            </li>
            <li class="dropdown">
                <div class="dropdown-toggle-button">
                    <button onclick="location.href = '@Url.Action("login", "account")'" type="button" class="btn btn-default"><i class="fa fa-user"></i> Login</button>
                </div>
            </li>
        }
        <!-- END USER LOGIN DROPDOWN -->
    </ul>
</div>
<!-- END TOP NAVIGATION MENU -->